flutter_pure_mixpanel 1.0.10
flutter_pure_mixpanel: ^1.0.10 copied to clipboard

Dart 2 incompatible

A new pure Dart library for Mixpanel analytics.

flutter_pure_mixpanel #

A pure Dart library for Mixpanel analytics.

Running Tests #

This library has Flutter as a dependency for easier testability. The tests are true end to end tests, using a real Mixpanel account and API token that anyone is free to use. I decided against mocking the API for now to keep the codebase simple.

flutter test test/flutter_pure_mixpanel_test.dart

Features #

  • Event tracking

Upcoming Features #